Foreman - Feature #12716

As a foreman developer I'd like to have way of extending the data returned from smart proxy api.
12/07/2015 03:53 AM - Shlomi Zadok

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Smart Proxy
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3023,
https://github.com/theforeman/foreman/p
ull/3025,
https://github.com/theforeman/foreman/p
ull/3066
Description

In the proxy show page, I'd like to have the ability to add data from other plugins (e.g., data from discovery, openscap, templates,
remote execution, etc.)

Related issues:

Related to Foreman - Feature #13079: As a foreman developer I'd like my pagel... Closed 01/08/2016
Related to Foreman - Bug #13160: Pagelet tab headings are not translated Closed 01/12/2016
Related to Foreman - Bug #14768: Foreman Smart Proxy Web Ul Name field overfl... Closed 04/21/2016
Related to Foreman - Bug #15464: Pagelets should be keyed by the partial they... Closed 06/20/2016
Has duplicate Foreman - Feature #13055: Provide helper for plugins to registe... Duplicate 01/07/2016
Blocks Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015

Associated revisions

Revision 33f7c66¢ - 01/12/2016 10:25 AM - Ondfej Prazak

Fixes #12716 - Extensible pages for smart proxy with mount points

Revision 1a4813d9 - 01/14/2016 04:32 AM - Dominic Cleal

refs #12716 - fix usage of N_() and exception constructor

History

#1 - 12/07/2015 03:53 AM - Shlomi Zadok
- Blocked by Tracker #12507: Smart Proxy UX improvments added

#2 - 12/09/2015 02:35 AM - Ondfej Prazak

- Assignee set to Ondrej PraZak

#3 - 12/09/2015 02:36 AM - Ondfej Prazak

- Status changed from New to Assigned

#4 - 12/14/2015 02:51 AM - Shlomi Zadok
- Blocked by deleted (Tracker #12507: Smart Proxy UX improvments)

#5 - 12/14/2015 02:51 AM - Shlomi Zadok
- Blocks Tracker #12507: Smart Proxy UX improvments added

#6 - 01/04/2016 10:40 AM - Lukas Zapletal
| have an idea of reusing our widget support for that, let me code a prototype so we can discuss this.

#7 - 01/05/2016 06:04 AM - Ondfej Prazak
Lukas Zapletal wrote:
| have an idea of reusing our widget support for that, let me code a prototype so we can discuss this.

Regarding the page extensibility, there has been some work done already:
https://github.com/xprazak2/foreman/commit/3d1a9c3e6b284260b9e0a958¢c377{2de473a0947

#8 - 01/05/2016 08:47 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3023 added

#9 - 01/05/2016 08:50 AM - Lukas Zapletal

Regarding the page extensibility, there has been some work done already:
https://qgithub.com/xprazak2/foreman/commit/3d1a9c3e6b284260b9e0a958c377f2de473a0947

Oh nice, | had this idea of using dashboard widgets but it turned out these are not good candidates to implement this. This is better, | came to the very
same conclusion today. Maybe a different name than Widget could be better like Portlet to differentiate between the two.

#10 - 01/06/2016 11:39 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3025 added

#11 - 01/08/2016 07:15 AM - Tomas Strachota
- Related to Feature #13079: As a foreman developer I'd like my pagelets being displayed conditionally added

#12 - 01/12/2016 10:31 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#13 - 01/12/2016 10:39 AM - Dominic Cleal
- Related to Bug #13160: Pagelet tab headings are not translated added

#14 - 01/12/2016 10:45 AM - Dominic Cleal

Documentation: http:/projects.theforeman.org/projects/foreman/wiki/How_to_Create a_Plugin#Adding-a-Pagelet
http://projects.theforeman.org/projects/foreman/wiki/Pagelets

#15 - 01/12/2016 11:02 AM - Ondiej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 33f7c66c311da45e242fc0034d5cf2ebd7a7ffec.

#16 - 01/13/2016 07:44 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3066 added

#17 - 02/22/2016 07:14 AM - Dominic Cleal
- Category set to Smart Proxy

#18 - 04/22/2016 02:53 AM - Dominic Cleal
- Related to Bug #14768: Foreman Smart Proxy Web Ul Name field overflows column added

#19 - 06/20/2016 06:29 AM - Dominic Cleal
- Related to Bug #15464: Pagelets should be keyed by the partial they appear on added

#20 - 11/08/2016 10:33 AM - Dominic Cleal
https://github.com/xprazak2/foreman/commit/3d1a9c3e6b284260b9e0a958c377f2de473a0947
https://github.com/xprazak2/foreman/commit/3d1a9c3e6b284260b9e0a958c377f2de473a0947
http://projects.theforeman.org/projects/foreman/wiki/How_to_Create_a_Plugin#Adding-a-Pagelet
http://projects.theforeman.org/projects/foreman/wiki/Pagelets
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/33f7c66c311da45e242fc0034d5cf2ebd7a7ffec

- Has duplicate Feature #13055: Provide helper for plugins to register buttons added
